<div class="gallery">
  <div class="gallery-options">
    <div class="grey-switch">
      <app-input-switch (switcherState)="setGray($event)"></app-input-switch>
      </div>
    <div class="switch-gray-label">Make photos grayscale</div>
    <div class="fetch-button">
      <button (click)="getRandomDataToItems()">Fetch New Photos</button>
    </div>
  </div>
  <div class="gallery-container">
    <app-photo-item *ngFor="let item of apiFinalData$ | async; trackBy: trackByFn" [content]="item.name"
                    [imgUrl]="item.image" [isGrayScaled]="isGray"></app-photo-item>
  </div>
</div>
